Qwt User's Guide: QwtValuePointData< T > Class Template Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtValuePointData< T > Class Template Reference

Interface for iterating over a QVector<T>. More...

`#include <qwt_point_data.h>`

Inheritance diagram for QwtValuePointData< T >:

## Public Member Functions
| QwtValuePointData (const QVector< T > &y)
| QwtValuePointData (const T *y, size_t size)
virtual size_t | size () const override
virtual QPointF | sample (size_t index) const override
const QVector< T > & | yData () const
Public Member Functions inherited from QwtSeriesData< QPointF >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
QPointF | firstSample () const
QPointF | lastSample () const
virtual QRectF | boundingRect () const
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members
Protected Attributes inherited from QwtSeriesData< QPointF >
QRectF | cachedBoundingRect
| Can be used to cache a calculated bounding rectangle.

## Detailed Description

template<typename T>
class QwtValuePointData< T >

Interface for iterating over a QVector<T>.

The memory contains the y coordinates, while the index is interpreted as x coordinate.

Definition at line 67 of file qwt_point_data.h.

## Constructor & Destructor Documentation

## ◆ QwtValuePointData() [1/2]

template<typename T >

QwtValuePointData< T >::QwtValuePointData | ( | const QVector< T > & | y | ) |

Constructor

Parameters

  y | Array of y values

See also
  QwtPlotCurve::setData(), QwtPlotCurve::setSamples()

Definition at line 266 of file qwt_point_data.h.

## ◆ QwtValuePointData() [2/2]

template<typename T >

QwtValuePointData< T >::QwtValuePointData | ( | const T * | y,
|  | size_t | size )

Constructor

Parameters

  y | Array of y values
  size | Size of the x and y arrays

See also
  QwtPlotCurve::setData(), QwtPlotCurve::setSamples()

Definition at line 279 of file qwt_point_data.h.

## Member Function Documentation

## ◆ sample()

template<typename T >

QPointF QwtValuePointData< T >::sample | ( | size_t | index | ) | const
| overridevirtual

Return the sample at position i

Parameters

  index | Index

Returns
  Sample at position i

Implements QwtSeriesData< QPointF >.

Definition at line 299 of file qwt_point_data.h.

## ◆ size()

template<typename T >

size_t QwtValuePointData< T >::size | ( |  | ) | const
| overridevirtual

Returns
  Size of the data set

Implements QwtSeriesData< QPointF >.

Definition at line 287 of file qwt_point_data.h.

## ◆ yData()

template<typename T >

const QVector< T > & QwtValuePointData< T >::yData | ( |  | ) | const

Returns
  Array of the y-values

Definition at line 306 of file qwt_point_data.h.